cURL
curl https://api.bodhveda.com/recipients/recipient_123/contacts \
-H "Authorization: Bearer bv_xxxxxxxxx"import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const { contacts } = await bodhveda.recipients.contacts.list("recipient_123");import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
res, _ := client.Recipients.Contacts.List(ctx, "recipient_123")
// res.Contacts{
"data": {
"contacts": [
{
"id": 1,
"medium": "email",
"address": "alice@example.com",
"is_primary": true,
"verified_at": null,
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T05:31:56Z"
}
]
}
}Contacts
List contacts
List all of a recipient’s per-medium contact addresses.
GET
/
recipients
/
{recipient_id}
/
contacts
cURL
curl https://api.bodhveda.com/recipients/recipient_123/contacts \
-H "Authorization: Bearer bv_xxxxxxxxx"import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const { contacts } = await bodhveda.recipients.contacts.list("recipient_123");import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
res, _ := client.Recipients.Contacts.List(ctx, "recipient_123")
// res.Contacts{
"data": {
"contacts": [
{
"id": 1,
"medium": "email",
"address": "alice@example.com",
"is_primary": true,
"verified_at": null,
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T05:31:56Z"
}
]
}
}List a recipient’s per-medium contact addresses. A recipient needs a primary email contact to receive email.
Authorizations
Bearer authentication header of the form Bearer bv_xxxxxxxxx, where bv_xxxxxxxxx is your API Key with Full access or Recipient acess scope.
Path Parameters
The unique identifier of the recipient.
Response
200 - application/json
List of the recipient's contacts.